Public Member Functions | Private Attributes | List of all members
libzmf::ZBRHeader Class Reference

`#include <ZBRHeader.h>`

## Public Member Functions
| ZBRHeader ()
bool | load (const RVNGInputStreamPtr &input)
bool | isSupported () const
unsigned | version () const

## Private Attributes
unsigned | m_sig
unsigned | m_version

## Constructor & Destructor Documentation

## ◆ ZBRHeader()

libzmf::ZBRHeader::ZBRHeader | ( |  | ) |

## Member Function Documentation

## ◆ isSupported()

bool libzmf::ZBRHeader::isSupported | ( |  | ) | const

Referenced by libzmf::ZBRParser::parse().

## ◆ load()

bool libzmf::ZBRHeader::load | ( | const RVNGInputStreamPtr & | input | ) |

Referenced by libzmf::ZBRParser::parse().

## ◆ version()

unsigned libzmf::ZBRHeader::version | ( |  | ) | const

## Member Data Documentation

## ◆ m_sig

unsigned libzmf::ZBRHeader::m_sig
| private

Referenced by isSupported(), and load().

## ◆ m_version

unsigned libzmf::ZBRHeader::m_version
| private

Referenced by isSupported(), load(), and version().

The documentation for this class was generated from the following files:

- ZBRHeader.h
- ZBRHeader.cpp